@echo off




echo running GinSing installation script


REM create the Arduino sketch folder if it does not exist
REM ----------------------------------------------------------------------------------------

:create sketchfolder

if exist C:\Users\%USERNAME%\Documents\Arduino goto createlibsfolder
echo creating arduino sketch directory
mkdir C:\Users\%USERNAME%\Documents\Arduino



REM create the Arduino libraries folder if it does not exist
REM ----------------------------------------------------------------------------------------

:createlibsfolder
if exist C:\Users\%USERNAME%\Documents\Arduino\libraries goto copyexamples
echo creating library directory
mkdir C:\Users\%USERNAME%\Documents\Arduino\libraries



REM copy the examples to sketch folder
REM ----------------------------------------------------------------------------------------

:copyexamples
echo copying examples to sketch folder
xcopy /s/y arduino\examples C:\Users\%USERNAME%\Documents\Arduino


REM copy the library to libraries folder
REM ----------------------------------------------------------------------------------------

:copylibs
echo copying libraries into libraries folder
xcopy /s/y arduino\libraries\* C:\Users\%USERNAME%\Documents\Arduino\libraries


REM set up libraries for tweaker
REM ----------------------------------------------------------------------------------------

cd "tweaker"
call InstallWin.bat
cd ..


echo installation complete
